Skip to main content
`Ctrl`+`K`

# TSAdaptGetSafety

Get safety factors for time step adapter

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptGetSafety(TSAdapt adapt, PetscReal *safety, PetscReal *reject_safety)

Not Collective

## Input Parameter

- adapt - adaptive controller context

## Output Parameters

- safety - safety factor relative to target error/stability goal

- reject_safety - extra safety factor to apply if the last step was rejected

## See Also

TS: Scalable ODE and DAE Solvers, Error control via variable time-stepping, `TSAdapt`, `TSAdaptSetSafety()`, `TSAdaptChoose()`

## Level

intermediate

## Location

src/ts/adapt/interface/tsadapt.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages